> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/cross-region-bandwidth/createcrossregionbandwidth.md).

# CreateCrossRegionBandwidth

## 1. API Description

This API (CreateCrossRegionBandwidth) is used to create a private cross-region bandwidth.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Region A and Region Z must be different regions within the same global VPC.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name           | Required | Type                                                                                 | Description                                                                                                                                                                                                      |
| ------------------------ | -------- | ------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| vpcId                    | Yes      | String                                                                               | Global VPC ID where the private cross-region bandwidth is located.                                                                                                                                               |
| internetChargeType       | Yes      | [InternetChargeType](/api-reference/compute/zec/datastructure.md#internetchargetype) | Network billing model.                                                                                                                                                                                           |
| crossRegionBandwidthName | Yes      | String                                                                               | <p>The name of cross-region bandwidth.</p><p>The length is 2 to 63 characters.</p><p>Only letters, numbers, -/\_ and periods (.) are supported.</p><p>The name must start and end with a number or a letter.</p> |
| regionA                  | Yes      | String                                                                               | One end of the cross-region bandwidth.                                                                                                                                                                           |
| regionZ                  | Yes      | String                                                                               | The other end of the cross-region bandwidth.                                                                                                                                                                     |
| bandwidth                | Yes      | Integer                                                                              | <p>Bandwidth cap.</p><p>Value range: \[1, +)</p>                                                                                                                                                                 |
| marketingInfo            | No       | [MarketingInfo](/api-reference/compute/zec/datastructure.md#marketinginfo)           | Information on marketing campaigns.                                                                                                                                                                              |
| bandwidthCap             | No       | Integer                                                                              | <p>Burst bandwidth.</p><p>Unit: Mbps.</p><p>This field is required only when internetChargeType is set to ByInstanceBandwidth95 .</p><p>Available range: \[1, +).</p><p>Value range: \[1, +)</p>                 |

## 3. Output Parameters

| Parameter Name         | Type   | Description                                                                                                           |
| ---------------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId              | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| orderNumber            | String | Order number.                                                                                                         |
| crossRegionBandwidthId | String | Unique ID of cross-region bandwidth.                                                                                  |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Create a cross-region bandwidth from Shanghai to Beijing, with the network billing model of Flat Rate. Burst bandwidth is 100 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateCrossRegionBandwidth
<Common Request Params>

Request：
{
  "vpcId": "<your vpc id>",
  "internetChargeType": "ByBandwidth",
  "crossRegionBandwidthName": "Test-Cross1",
  "regionA": "asia-east-1",
  "regionZ": "asia-north-1",
  "bandwidth": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "crossRegionBandwidthId": "<crossId1>",
    "orderNumber": "<orderNumber>"
  }
}
```

**2. Create a cross-region bandwidth from Beijing to Shanghai, with the network billing model of Burstable 95th. Bandwidth commitment is 100 Mbps and the burst bandwidth is 120 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateCrossRegionBandwidth
<Common Request Params>

Request：
{
  "vpcId": "<your vpc id>",
  "internetChargeType": "ByInstanceBandwidth95",
  "crossRegionBandwidthName": "Test-Cross2",
  "regionA": "asia-north-1",
  "regionZ": "asia-east-1",
  "bandwidth": 100,
  "bandwidthCap": 120
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "crossRegionBandwidthId": "<crossId2>",
    "orderNumber": "<orderNumber>"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                     | Description                                                         |
| ---------------- | ---------------------------------------------- | ------------------------------------------------------------------- |
| 404              | INVALID\_REGION\_NOT\_FOUND                    | Specified availability zone does not exist.                         |
| 400              | INVALID\_VPC\_BANDWIDTH\_REGION\_AZ\_IS\_EXIST | Both region A and region Z of cross-region bandwidth already exist. |
| 400              | INVALID\_VPC\_BANDWIDTH\_REGION\_AZ\_IS\_SAME  | Region A and region Z of the cross-region bandwidth are the same.   |
| 404              | INVALID\_VPC\_NOT\_FOUND                       | The global VPC does not exist.                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/cross-region-bandwidth/createcrossregionbandwidth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
